Bug 30954 - includes/background_jobs_update_elastic_index.inc must be removed
Summary: includes/background_jobs_update_elastic_index.inc must be removed
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 27344
Blocks:
  Show dependency treegraph
 
Reported: 2022-06-13 12:46 UTC by Jonathan Druart
Modified: 2022-07-13 20:10 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30954: (bug 27344 follow-up) Remove background_jobs_update_elastic_index.inc (1.85 KB, patch)
2022-06-13 12:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 30954: (bug 27344 follow-up) Remove background_jobs_update_elastic_index.inc (1.91 KB, patch)
2022-06-16 09:50 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-06-13 12:46:51 UTC
includes/background_jobs_update_elastic_index.inc 
vs
includes/background_jobs/update_elastic_index.inc

Both exist and have been added by bug 27344.
The first one is not used.
Comment 1 Jonathan Druart 2022-06-13 12:48:19 UTC
Created attachment 136023 [details] [review]
Bug 30954: (bug 27344 follow-up) Remove background_jobs_update_elastic_index.inc

includes/background_jobs_update_elastic_index.inc
vs
includes/background_jobs/update_elastic_index.inc

Both exist and have been added by bug 27344.
The first one is not used.

Test plan:
  git grep background_jobs_update_elastic_index.inc
must not return any occurrences (outside of POs)
Comment 2 Martin Renvoize 2022-06-16 09:50:58 UTC
Created attachment 136136 [details] [review]
Bug 30954: (bug 27344 follow-up) Remove background_jobs_update_elastic_index.inc

includes/background_jobs_update_elastic_index.inc
vs
includes/background_jobs/update_elastic_index.inc

Both exist and have been added by bug 27344.
The first one is not used.

Test plan:
  git grep background_jobs_update_elastic_index.inc
must not return any occurrences (outside of POs)

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 3 Martin Renvoize 2022-06-16 09:51:20 UTC
Trivial fix, straight PQA from me :)
Comment 4 Tomás Cohen Arazi 2022-06-16 12:57:58 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 5 Lucas Gass 2022-07-13 20:10:35 UTC
Backported to 22.05.x for 22.05.03